

/* CSS VARIABLES */
:root{
    --lt-green: #210303;
    --md-green: #2f8de6;
    --dk-green: #0b390e;
    --lt-brown: #efefef;
    --md-brown: #6b6b6b;
    --dk-brown: #210303;
    --red: #d81d2f;
    --white: #ffffff;
    --type: #ffffff;
    --black: #000000;
    --bg: rgba(0, 0, 0, 0.4);

    --fonts: 'Montserrat', Arial, sans-serif;    
    --p-font: 'Montserrat', Arial, sans-serif;
}

/* CSS START */

body {
    background: /*url("images/forest.svg")*/ var(--lt-green);
    font-family: var(--fonts);
	line-height: 1.5;
    padding: 0;
    margin: 0;
}

header, main, footer{
    padding: 1rem 0;
    width: 100%;
    max-width: 1400px;
    margin: auto;
    /* border: 3px solid var(--black); */
}

a{
    text-decoration: none;
}

.active{
    background-color: var(--red);
   /* border-color: var(--md-green); */
   /* color: var(--dk-green);*/
}

/* Header Styles */

header{
    padding: 0;
    background-color: var(--dk-brown);
    border-bottom: none;
}

a.head{
    height: 140px;
    /* outline: 3px solid var(--red); */
}

header div{
    display: grid;
	grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    margin: 0;
    gap: 5rem;
}

header img{
    color: var(--type);
    font-size: 3.5rem;
    height: 140px;
    grid-column: 1/2;
}

nav{
    grid-column: 2/4;
}

nav ul{
    list-style-type: none;
    display: flex;
	text-align: center;
    gap: 1rem;
    padding: 0 0 0 0;
    justify-content: flex-end;
}

nav a{
    color: var(--dk-brown);
	background-color: var(--white);
	padding: .75rem;
	border: 3px solid var(--dk-brown);
	/*border-radius: .25rem; */
    font-size: 1rem;
    font-weight: 600;
}

nav a:hover{
    color: var(--white);
	background-color: var(--dk-brown);
    border: 3px solid var(--white);
}

nav a:focus{
    outline: 3px solid var(--red);
}

header img{
    width: 400px;
}

/* Main Styles */

main{
    background-color: var(--lt-brown);
    padding: 0
}

#intro, #amen, #esc{
    padding: 0 2rem 2rem 2rem;
}

h2{
    font-size: 1.5rem;
    text-align: center;
    color: var(--type);
}

main p{
    font-family: var(--p-font);
    font-weight: 500;
    font-size: 1rem;
}

#intro{
    /* margin: 1rem 1rem 1rem 1rem; 
    padding: 0 1rem 2rem 1rem; */
    padding: 0;
    margin: 0;
}

#intro h2{
    padding: .5rem 0;
    margin: 1rem 10rem;
	background-color: var(--dk-brown);
    /* border-radius: .25rem; */
}

#intsid{
    display: flex;
    align-items: center;
    padding: 0;
}

#intsid img{
    width: 20rem;
    align-self: stretch;
    border-left: 20px solid var(--dk-brown); 
	/* border-radius: .125rem; */
}

#intsid p{
    margin: 1.5rem 7rem 1rem 7rem;
    color: var(--dk-brown);
}

h3{
    font-size: 2rem;
    padding: 1rem;
    margin: 0 3rem;

    color: var(--type);
	background-color: var(--dk-brown);
    /* border: 3px solid var(--black);
    border-radius: .25rem; */
    text-align: center;
}

.stars{
    margin: 2rem 0;
    padding: 20px 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 2rem;
    justify-items: center;
    border: 3px solid var(--black);
    border-radius: .25rem;

    color: var(--black); 
    background-color: var(--type);
}

.stars h5{
    font-size: 1.5rem;
    padding: 0;
    margin: 0;
}

.stars p{
    font-size: 2rem;
    padding: 0;
    margin: 0;
    color: #2f8de6;
}

/* Print Works Section */

#works{
    background-color: var(--white);
    /* border-top: 3px solid var(--black); */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    gap: 0px 0px;
    padding: 0;
    align-items: center;
}

#works h3{
    grid-column: 1/-1;
    grid-row: 1/-1;
    margin: 0;
    padding: 2rem 1rem 1rem 1rem;
    font-size: 2rem;
}

#works p{
    padding: 0 1rem;
}

#works a{
    /* padding: 0 1rem 0 3rem; */
    justify-self: center;
    align-self: stretch;
    height: 468px;
}

#works img{
    border: 10px solid var(--white);
	/* border-radius: .125rem; */
    width: 446px; 
    height: 28rem; 
    object-fit: cover;
    object-position: 35% 35%; 
    filter: grayscale(100%);
    align-self: center;
}

#works img:hover{
    filter: grayscale(0%);
    border: 10px solid var(--red);
    transition: .25s ease;
    position: relative; 
}

#works div{
    background-color: var(--white);
    padding: 2rem 1rem 1rem 1rem;
    border-radius: 1rem;
}

.emphasis{
    font-weight: bold;
    font-style: italic;
    font-size: 1.25rem;
    text-align: center;
}

/* popups */

#extra{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-content: center;
}

/* #extra img:hover{
     transition: .125s ease;
    transform: scale(2);
    z-index: 2; 
} */

#extra img{
    /*height: 20rem !important;*/
    position: relative;
    z-index: auto;
}

#popups img{
    height: 25rem;
    width: auto;
    border: 10px hidden var(--black);
	/* border-radius: .125rem; */
    margin: 5px;
    z-index: auto;
}

.modal {
    position: relative;
    inset: 0;
    display: none;
    align-items: center;
    justify-content: center;
}

.content {
    background: var(--white);
    padding: 4em 4em;
    /* border-radius: 2px; */
    width: 1280px;
    border: 10px solid var(--white);
}

#side{
    display: flex;
    align-items: center;
}

#side p{
    margin-right: 3rem;
}

span{
    font-style: italic;
    font-weight: 700;
}

.skills{
    font-size: 1.75rem;
}

.content h3{
    margin: 40px;
    font-size: 1.5rem;
}

.content p{
    font-size: 1rem;
    margin-right: 5rem;
    margin-left: 5rem;
}

.modal:target {
    display: flex;
}

#center{
    margin: auto;
    display: flex;
    justify-content: center;
}

/* #center img:hover{
     transition: .125s ease;
    transform: scale(2);
    z-index: 2; 
} */

#single{
    margin: auto;
    display: flex;
    justify-content: center;
}

#single img{
    height: auto;
    width: 65rem;
}

/* #single:hover{
    transition: .125s ease;
    transform: scale(1.25);
    z-index: 2;
} */

#nohover{
    margin: auto;
    display: flex;
    justify-content: center;
}

#nohover img{
    height: auto;
    width: 65rem;
}

.about{
    margin: 2rem 0;
    padding: 20px 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    max-height: 8rem;
    /* border: 3px solid var(--black);
    border-radius: .25rem; */
}

.about h5{
    font-size: 1.25rem;
    padding: 0;
    margin: 0;
}

.about p{
    font-size: 1rem;
    padding: 0;
    margin: 0;
}

#button{
    position: absolute;
    top: 0px;
    right: 30px;
    font-size: 5rem;
    text-decoration: none;
}

#button:hover { 
    color: #e60808 !important; 
} 

.arrows{
   display: flex;
   gap: 90px;
   align-items: center;
   justify-content: center;
   background-color: var(--black);
   /* border: 3px solid var(--black);
   border-radius: .25rem; */
   margin: 0 40px;
}

#button2:hover { 
    color: #e60808 !important; 
} 

#button2{
    position: relative;
    font-size: 5rem;
    text-decoration: none;
    color: inherit;
}

#button3{
    border: 5px hidden var(--md-green);
}

#button3:hover { 
    border: 3px solid var(--red);
    color: var(--red) !important;
    transition: .25s ease;
    position: relative; 
} 

/* Footer */

footer{
    background-color: var(--dk-brown);
    padding: 4rem 0 2rem 0
}

footer p{
    line-height: 1.5;
    text-align: center;
    margin: auto;
	font-weight: bold;
	color: var(--white);
}

footer h3{
    background-color: var(--white); 
    color: var(--black);
}

footer div{
    border: none !important;
}

#FOOT h3:hover{
    transition: .25s ease;
    box-shadow: rgba(0, 0, 0, 0.5) 5px 5px 2px;
    color: var(--white);
	background-color: var(--dk-brown);
    border: 3px solid var(--white);
}